> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siray.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Nano Banana 2 Lite t2i



## OpenAPI

````yaml openapi-spec/nano-banana-2-lite-t2i.json POST /v1/images/generations/async
openapi: 3.1.0
info:
  description: >-
    Nano Banana 2 Lite t2i is Google's latest lightweight text-to-image model
    with improved generation quality. Create images from text prompts quickly
    with enhanced detail and coherence.
  summary: API for Nano Banana 2 Lite t2i model
  title: Nano Banana 2 Lite t2i API
  version: 1.0.0
servers:
  - description: Model Verse API Server
    url: https://api.siray.ai
security: []
tags:
  - description: >-
      Nano Banana 2 Lite t2i - Nano Banana 2 Lite t2i is Google's latest
      lightweight text-to-image model with improved generation quality. Create
      images from text prompts quickly with enhanced detail and coherence.
    name: Nano Banana 2 Lite t2i
paths:
  /v1/images/generations/async:
    post:
      tags:
        - Nano Banana 2 Lite t2i
      summary: Generate image
      description: Generate an image using the Nano Banana 2 Lite t2i model
      operationId: image_model-9gqrelqsuydobn8y
      requestBody:
        content:
          application/json:
            example:
              aspect_ratio: '1:1'
              model: google/nano-banana-2-lite-t2i
              prompt: example_value
              size: 1k
            schema:
              description: Request format for image generation models
              properties:
                aspect_ratio:
                  description: Aspect ratio
                  enum:
                    - '1:1'
                    - '1:4'
                    - '1:8'
                    - '2:3'
                    - '3:2'
                    - '3:4'
                    - '4:1'
                    - '4:3'
                    - '4:5'
                    - '5:4'
                    - '8:1'
                    - '9:16'
                    - '16:9'
                    - '21:9'
                    - auto
                  type: string
                model:
                  description: Model name to use for the request
                  enum:
                    - google/nano-banana-2-lite-t2i
                  type: string
                prompt:
                  description: Text prompt for generation
                  type: string
                size:
                  description: Fixed size
                  enum:
                    - 1k
                  type: string
              required:
                - model
                - prompt
                - size
                - aspect_ratio
              title: Image Generation Request
              type: object
        description: Request payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponse'
          description: Successful response
      security:
        - bearerAuth: []
components:
  schemas:
    TaskResponse:
      description: Standard async task creation response
      properties:
        code:
          description: Status code returned by the service
          example: success
          type: string
        data:
          description: Response payload containing task details
          properties:
            task_id:
              description: Identifier of the created task
              type: string
          required:
            - task_id
          type: object
        message:
          description: Additional information about the request result
          type: string
      required:
        - data
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: Bearer authentication using API key
      scheme: bearer
      type: http

````